Package org.opensaml.saml.saml2.core.impl

# Class BaseIDXSAnyAdapter

java.lang.Object
org.opensaml.core.xml.AbstractXSAnyAdapter
org.opensaml.saml.saml2.core.impl.BaseIDXSAnyAdapter

All Implemented Interfaces:
  `XMLObject`, `XSAnyAdapter`, `SAMLObject`, `BaseID`

public class BaseIDXSAnyAdapter extends AbstractXSAnyAdapter implements BaseID
Component that adapts an instance of `XSAny` to the interface `BaseID`.

## Field Summary

### Fields inherited from interface org.opensaml.saml.saml2.core.BaseID

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, NAME_QUALIFIER_ATTRIB_NAME, SP_NAME_QUALIFIER_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`BaseIDXSAnyAdapter(XSAny xsAny)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getNameQualifier()`
Gets the NameQualifier value.
`String`
`getSPNameQualifier()`
Gets the SPNameQualifier value.
`void`
`setNameQualifier(String newNameQualifier)`
Sets the NameQualifier value.
`void`
`setSPNameQualifier(String newSPNameQualifier)`
Sets the SPNameQualifier value.

### Methods inherited from class org.opensaml.core.xml.AbstractXSAnyAdapter

`detach, ensureDOM, getAdapted, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Constructor Details

### BaseIDXSAnyAdapter

public BaseIDXSAnyAdapter(@Nonnull XSAny xsAny)
Constructor.

Parameters:
  `xsAny` - the adapted instance

## Method Details

### getNameQualifier

public String getNameQualifier()
Gets the NameQualifier value.

Specified by:
  `getNameQualifier` in interface `BaseID`
Returns:
  the NameQualifier value

### setNameQualifier

public void setNameQualifier(@Nullable String newNameQualifier)
Sets the NameQualifier value.

Specified by:
  `setNameQualifier` in interface `BaseID`
Parameters:
  `newNameQualifier` - the NameQualifier value

### getSPNameQualifier

public String getSPNameQualifier()
Gets the SPNameQualifier value.

Specified by:
  `getSPNameQualifier` in interface `BaseID`
Returns:
  the SPNameQualifier value

### setSPNameQualifier

public void setSPNameQualifier(@Nullable String newSPNameQualifier)
Sets the SPNameQualifier value.

Specified by:
  `setSPNameQualifier` in interface `BaseID`
Parameters:
  `newSPNameQualifier` - the SPNameQualifier value